#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	common
%define	pnam	sense
Summary:	common::sense - save a tree AND a kitten, use common::sense!
Summary(pl.UTF-8):	common::sense - zdroworozsądkowe ustawienia domyślne dla programów w Perlu
Name:		perl-common-sense
Version:	3.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9332e9fe85b0bce8c287a0429d164809
URL:		http://search.cpan.org/dist/common-sense/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements some sane defaults for Perl programs, as
defined by two typical (or not so typical - use your common sense)
specimens of Perl coders.

%description -l pl.UTF-8
Moduł ten implementuje pewne zdroworozsądkowe ustawienia domyślne dla
programów perlowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%dir %{perl_vendorlib}/common
%{perl_vendorlib}/common/sense.pm
%{_mandir}/man3/common::sense.3pm*
%changelog
* Thu Jun 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-common-sense.git;a=log;h=master

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> c9c0e18
- updated to 3.6

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> ca6dc7b
- updated to 3.5

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> c559a2f
- updated to 3.4
- noarch, no CC/CFLAGS, fixed URL

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1ef452c
- fixed broken cvs keywords

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> 89818cc
- updated to 3.0

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> cc62b2e
- added missing %dir in %files section
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 7c9ecb3
- updated to 2.01

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> e2eb9b9
- initial

